Customer payment methods
List customer payment methods
Lists the authenticated customer’s saved payment methods. Requires a
customer bearer token; returns 401 when unauthenticated.
GET
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
payment_methods
List customer payment methods
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"id": 20417,
"default_payment_method_id": 48213
},
"payment_methods": [
{
"id": 48213,
"au_status": null,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"zip": "18505",
"country_code": "US",
"name": "Holly Flax"
},
"created_at": "2026-09-03T16:12:44Z",
"updated_at": "2026-09-03T16:12:44Z",
"default": true,
"details": {
"id": 48213,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": "12",
"exp_year": "2028",
"logo_url": null,
"vgs_card_id": "CRDt8pZkQ3vN5wX2mL7bR4yH",
"requires_3ds": false
},
"payment_title": "Credit Card",
"payment_type": "Credit Card",
"source": "card"
}
],
"meta": {
"request_id": "3c7e1b92-5d4a-4f8e-b6a0-9e2d7c1f5a84",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"current_page": 1,
"per_page": 10,
"total_count": 1,
"total_pages": 1
}
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Authorizations
Bearer token authentication
Query Parameters
Page number (1-based)
Number of records per page (max 100)
Filter payment methods available for a country
⌘I
List customer payment methods
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"id": 20417,
"default_payment_method_id": 48213
},
"payment_methods": [
{
"id": 48213,
"au_status": null,
"billing_address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"zip": "18505",
"country_code": "US",
"name": "Holly Flax"
},
"created_at": "2026-09-03T16:12:44Z",
"updated_at": "2026-09-03T16:12:44Z",
"default": true,
"details": {
"id": 48213,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": "12",
"exp_year": "2028",
"logo_url": null,
"vgs_card_id": "CRDt8pZkQ3vN5wX2mL7bR4yH",
"requires_3ds": false
},
"payment_title": "Credit Card",
"payment_type": "Credit Card",
"source": "card"
}
],
"meta": {
"request_id": "3c7e1b92-5d4a-4f8e-b6a0-9e2d7c1f5a84",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"current_page": 1,
"per_page": 10,
"total_count": 1,
"total_pages": 1
}
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}